/*  @(#) include/imqhdr.hpp, imqi, p530, p530-CSD06J 1.3.13.1 02/10/30 11:20:05 */
#ifndef _IMQHDR_HPP_
#define _IMQHDR_HPP_

//  Library:       WebSphere MQ
//  Component:     IMQI (WebSphere MQ C++ MQI)
//  Part:          IMQHDR.HPP
//
//  Description:   "ImqHeader" class declaration
//  <START_COPYRIGHT> 
//  Licensed Materials - Property of IBM 
//                   
//  5724-B41         
//  (C) Copyright IBM Corp. 1994, 2002 All Rights Reserved. 
//                   
//  US Government Users Restricted Rights - Use, duplication or 
//  disclosure restricted by GSA ADP Schedule Contract with 
//  IBM Corp.        
//  <END_COPYRIGHT>  

#include <imqstr.hpp> // ImqString

#define ImqHeader ImqHdr

class IMQ_EXPORTCLASS ImqHeader : public ImqItem {
public :
  // New methods:
  ImqHeader ( );
  ImqHeader ( const ImqHeader & );
  virtual ~ ImqHeader ( );
  void operator = ( const ImqHeader & );
  virtual MQLONG characterSet ( ) const = 0 ;
  virtual MQLONG encoding ( ) const = 0 ;
  virtual ImqString format ( ) const = 0 ;
  virtual MQLONG headerFlags ( ) const = 0 ;
  virtual void setCharacterSet ( const MQLONG = MQCCSI_Q_MGR ) = 0 ;
  virtual void setEncoding ( const MQLONG = MQENC_NATIVE ) = 0 ;
  virtual void setFormat ( const char * = 0 ) = 0 ;
  virtual void setHeaderFlags ( const MQLONG = 0 ) = 0 ;
} ;

#endif
